# Privacy Policy

## Overview
This document describes how this project collects, handles, and processes data.

## Data Collection
- No personal information is collected without explicit user consent
- For multiplayer functionality, we only collect necessary data:
  - Username
  - Game session data
  - Network connection details

## Data Storage
- User preferences and settings are stored locally on your device
- No sensitive data is transmitted to external servers
- Game saves and configurations remain on your local system

## Network Communications
- Multiplayer sessions only transmit game-relevant data
- Server connections are used solely for gameplay functionality
- No tracking or analytics services are implemented

## Crash Reporting
- Crash dumps may be sent to Backtrace.io for diagnostic purposes
- Each crash report transfer requires explicit user consent
- Crash dumps contain:
  - System information
  - Machine hostname
  - System username
  - Technical data about the crash
  - In-game screenshot
- This data helps improve software stability
- Users can decline sending crash reports without limiting gameplay functionality
- Only team members have access to crash reports

## Third-Party Services
If you use optional features:
- Server hosting services may collect connection data
- Plugin systems operate under their own privacy terms

## User Rights
You have the right to:
- Access your data
- Delete your data
- Opt out of any data collection
- Request information about stored data

## Changes to Privacy Policy
- Users will be notified of any privacy policy updates
- Changes will be documented in the project's changelog

## Contact
For privacy concerns or questions, please open an issue in the project repository or contact the team via [Discord](https://discord.gg/ZXZd8D8)

Last updated: 2024-11-18
